Permalink
Browse files

Setup Combustion for Rails 3.1 testing.

  • Loading branch information...
1 parent 1cdf19b commit 252cf7b3b503b7fc1d0b98bc1bde25061a4a9294 @jasoncodes jasoncodes committed Nov 6, 2011
View
@@ -4,4 +4,5 @@ end
appraise 'rails3_1' do
gem 'rails', '~> 3.1.0'
+ gem 'combustion', '~> 0.3.1'
end
View
@@ -0,0 +1,7 @@
+ENV['BUNDLE_GEMFILE'] = 'gemfiles/rails3_1.gemfile'
+require 'bundler'
+
+Bundler.require :default, :development
+
+Combustion.initialize!
+run Combustion::Application
@@ -4,5 +4,6 @@ source "http://rubygems.org"
gem "ruby-debug19", :require=>false
gem "rails", "~> 3.1.0"
+gem "combustion", "~> 0.3.1"
gemspec :path=>"../"
@@ -0,0 +1,2 @@
+db/*.sqlite3
+log/*.log
@@ -0,0 +1,3 @@
+test:
+ adapter: sqlite3
+ database: db/combustion_test.sqlite3
@@ -0,0 +1,3 @@
+Rails.application.routes.draw do
+ #
+end
@@ -0,0 +1,3 @@
+ActiveRecord::Schema.define do
+ #
+end
@@ -0,0 +1 @@
+*.log
View
@@ -1,10 +1,24 @@
ENV['RAILS_ENV'] ||= 'test'
-require 'support/rails_app/config/environment'
-require 'rspec/rails'
+
+require 'rubygems'
+require 'bundler'
+Bundler.setup :default, :development
+
+require 'postmarkdown'
+
+require 'rails/version'
+if Rails::VERSION::MAJOR == 3 && Rails::VERSION::MINOR == 0
+ require 'support/rails_app/config/environment'
+else
+ require 'combustion'
+ Combustion.initialize!
+end
+
require 'capybara/rspec'
-require 'delorean'
+require 'rspec/rails'
+require 'capybara/rails'
-Dir[Rails.root.join('spec/support/**/*.rb')].each {|f| require f}
+require 'delorean'
RSpec.configure do |config|
config.mock_with :rspec

0 comments on commit 252cf7b

Please sign in to comment.